/**
 * 
 */

(function($) {
	'use strict';

	/**
	 * If raster fallback unavailable, switch to html fallback
	 */
	$( '.slate.raster' ).on(
		'error',
		function() {
			var hash = $( this ).attr( 'class' ).match( /[a-f0-9]{32}/ )[ 0 ];
			if ( hash ) {
				$( '.no-svg .slate.html.' + hash ).css( 'display', 'inline-block' );
				$( this, '.no-svg' ).css( 'display', 'none' );
			}
		} );

})( jQuery );
